import 'package:account/src/core/domain/repositories/account_repository.dart';
import 'package:account/src/features/linked_devices/domain/delete_device_use_case.dart';

class DeleteDeviceUseCaseImpl implements DeleteDeviceUseCase {
  DeleteDeviceUseCaseImpl(this._repository);

  final AccountRepository _repository;

  @override
  Future<void> deleteDevice({required String userId, required String deviceId}) async {
    return _repository.deleteDevice(userId: userId, deviceId: deviceId);
  }
}
